#
# Configuration file for pommed
#

# General configuration
general {
	# fnmode: functions keys first (no need to use fn) or last
	# Value is either 1 or 2, effect is hardware-dependent
	fnmode = 1
}

# sysfs backlight control
# nVidia machines, will fall back to nv8600gmt if not supported by the kernel
lcd_sysfs {
	# The sysfs backlight control is a generic interface provided
	# by the Linux kernel for backlight control on most graphic cards.
	# The brightness range can differ depending on the hardware.

	# initial backlight level [12] (0 - 15, -1 to disable)
	init = -1
	# step value (1 - 2)
	step = 1
	# backlight level when on battery [6] (1 - 15, 0 to disable)
	on_batt = 6
}

# ATI X1600 backlight control (MacBook Pro v1 & v2)
lcd_x1600 {
	# initial backlight level [200] (0 - 255, -1 to disable)
	init = -1
	# step value (1 - 127)
	step = 10
	# backlight level when on battery [80] (1 - 255, 0 to disable)
	on_batt = 80
}

# Intel 945GM, 965GM backlight control (MacBook v1-v4, MacBook Air v1)
lcd_gma950 {
	# initial backlight level [0x6f] (0x1f - 0x94 usually, -1 to disable)
#	init = -1
	# step value (0x01 - 0x20)
	step = 0x0f
	# backlight level when on battery [0x40] (0x1f - 0x94 usually, 0 to disable)
	on_batt = 0x40
}

# nVidia GeForce 8600M GT/9400M/9600M GT backlight control
# (MacBook Pro v3-v5, MacBook v5, MacBook v2)
lcd_nv8600mgt {
	# initial backlight level [12] (0 - 15, -1 to disable)
	init = -1
	# step value (1 - 2)
	step = 1
	# backlight level when on battery [6] (1 - 15, 0 to disable)
	on_batt = 6
}

# Audio support
audio {
	# Use amixer or alsamixer/alsamixergui to determine the sound card
	# and the mixer elements to use here.

	# sound card to use
	card = "default"
	# initial volume [80] (0 - 100%, -1 to disable)
	init = -1
	# step value (1 - 50%)
	step = 10
	# beep on volume change
	beep = yes
	# mixer element for volume adjustment
	volume = "PCM"
	# mixer element for muting the speakers
	speakers = "Front"
	# mixer element for muting the headphones
	headphones = "Headphone"
}

# Keyboard backlight control
kbd {
	# default value for automatic backlight (0 - 255)
	default = 100
	# step value (1 - 127)
	step = 10
	# ambient light thresholds for automatic backlight (0 - 255)
	on_threshold = 10
	off_threshold = 15
	# enable/disable automatic backlight
	auto = yes
	# idle timer - switches off keyboard backlight automatically (timeout in seconds, -1 to disable)
	idle_timer = -1
#	idle_timer = 60
}

# CD/DVD drive ejection
eject {
	# enable/disable eject key
	enabled = yes
	# CD/DVD device
	device = "/dev/dvd"
}

# Beeper
beep {
	# enable/disable beeper
	enabled = no
	# WAV file to use (from pommed: goutte.wav or click.wav in /usr/share/pommed)
	beepfile = "/usr/share/pommed/goutte.wav"
}

# Apple Remote - deprecated
# Note: the appleir driver is required for this to work; this driver has been
# obsoleted with Linux 2.6.22, so unless you are running a kernel < 2.6.22 or
# use the appleir driver on a newer kernel, this won't work.
# You should use LIRC instead.
appleir {
	# enable/disable the appleir support
	enabled = no
}

